Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.core
Class FacetSetCatalog

    java.lang.Object
      EcoreCatalog
          org.eclipse.gmt.modisco.infra.facet.core.FacetSetCatalog

    public final class FacetSetCatalog

extends EcoreCatalog

Field Summary
`static java.lang.String` | `FILE_EXTENSION`
`static java.lang.String` | `REGISTRATION_EXTENSION_POINT_ID`

Method Summary
`void` | `added(EObject eObject, IFile file)`
`void` | `changed(EObject eObject, IFile file)`
`java.util.Collection<FacetSet>` | `getAllFacetSets()` This methods returns the facet sets of all the resources contained in the catalog.
`java.util.Set<FacetSet>` | `getDefaultFacetSets(EPackage ePackage)` Get the set of default `FacetSet`s that apply to the given `EPackage`.
`java.util.Map<EPackage,java.util.HashSet<FacetSet>>` | `getEPackageToDefaultFacetSetMap()`
`FacetSet` | `getFacetSet(java.lang.String name)` This method returns the facet set of the resource having for name the "name" parameter value.
`java.lang.String` | `getFileExtension()`
`static FacetSetCatalog` | `getSingleton()`
`void` | `removed(IFile file)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGISTRATION_EXTENSION_POINT_ID

    public static final java.lang.String REGISTRATION_EXTENSION_POINT_ID

See Also:
  Constant Field Values

### FILE_EXTENSION

    public static final java.lang.String FILE_EXTENSION

See Also:
  Constant Field Values

Method Detail

### getSingleton

    public static FacetSetCatalog getSingleton()

### getEPackageToDefaultFacetSetMap

    public java.util.Map<EPackage,java.util.HashSet<FacetSet>> getEPackageToDefaultFacetSetMap()

### getFacetSet

    public FacetSet getFacetSet(java.lang.String name)

  This method returns the facet set of the resource having for name the "name" parameter value.

  Parameters:
    `name` - the name of a resource contained in the catalog
  Returns:
    return a facet set

### getDefaultFacetSets

    public java.util.Set<FacetSet> getDefaultFacetSets(EPackage ePackage)

  Get the set of default `FacetSet`s that apply to the given `EPackage`.

  Parameters:
    `ePackage` - the package for which matching `FacetSet`s will be returned
  Returns:
    the set of default `FacetSet`s

### getAllFacetSets

    public java.util.Collection<FacetSet> getAllFacetSets()

  This methods returns the facet sets of all the resources contained in the catalog.

  Returns:
    returns all the facet sets

### getFileExtension

    public java.lang.String getFileExtension()

### changed

    public void changed(EObject eObject,
                        IFile file)

### added

    public void added(EObject eObject,
                      IFile file)

### removed

    public void removed(IFile file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD